Cloud APIs
/- DrillPlan
Offset Well API
- Create new or update existing drilling parameter entities
Delete drilling parameter entities by ids
Delete drilling parameter entities by run ids
Delete drilling parameter entities by well guids
Get drilling parameters by ids
Get drilling parameters by an array of RunId
Get drilling parameters by well guids
Get QC rules for drilling parameter entities
Scroll to fetch results of next page
Create new or update exis...
Security
(bearer and appkey) or (sauth_service_token and appkey)
A list of drilling parameter entities to be created or updated
Array [
]
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/drilling-parameters
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
{
"id": "string",
"data_source": "string",
"depth": 0.1,
"flow_rate": 0.1,
"mud_density": 0.1,
"mud_type": "string",
"obrop": 0.1,
"rpm": 0.1,
"run_id": "string",
"tvd": 0.1,
"wob": 0.1,
"well_guid": "string",
"formation": "string"
}
]'Created
Response
- text/plain
- application/json
- text/json
{
"total_entity_count": 0,
"created_entity_count": 0,
"updated_entity_count": 0,
"created_entities": [
{
"well_name": "string",
"run_number": 0,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"data_source": "string",
"depth": 0.1,
"flow_rate": 0.1,
"mud_density": 0.1,
"mud_type": "string",
"obrop": 0.1,
"rpm": 0.1,
"run_id": "string",
"tvd": 0.1,
"wob": 0.1,
"well_guid": "string",
"formation": "string"
}
],
"updated_entities": [
{
"well_name": "string",
"run_number": 0,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"data_source": "string",
"depth": 0.1,
"flow_rate": 0.1,
"mud_density": 0.1,
"mud_type": "string",
"obrop": 0.1,
"rpm": 0.1,
"run_id": "string",
"tvd": 0.1,
"wob": 0.1,
"well_guid": "string",
"formation": "string"
}
],
"entity_violations": [
{
"source": {
"well_name": "string",
"run_number": 0,
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"data_source": "string",
"depth": 0.1,
"flow_rate": 0.1,
"mud_density": 0.1,
"mud_type": "string",
"obrop": 0.1,
"rpm": 0.1,
"run_id": "string",
"tvd": 0.1,
"wob": 0.1,
"well_guid": "string",
"formation": "string"
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}